#VU62868 Division by zero


Published: 2022-05-09

Vulnerability identifier: #VU62868

Vulnerability risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-20309

CWE-ID: CWE-369

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
ImageMagick
Client/Desktop applications / Multimedia software

Vendor: ImageMagick.org

Description

The vulnerability allows a remote attacker to perform a denial of service attack.

The vulnerability exists due to a division by zero error in the WaveImage() function in MagickCore/visual-effects.c . A remote attacker can pass specially crafted image file to the application and crash it.

Mitigation
Install update from vendor's website.

Vulnerable software versions

ImageMagick: 6.9.11-0 - 6.9.11-62, 6.9.10-0 - 6.9.10-97, 6.9.9-0 - 6.9.9-51, 6.9.8-0 - 6.9.8-10, 6.9.7 - 6.9.7-10, 6.9.6-0 - 6.9.6.6, 6.9.5-0 - 6.9.5-10, 6.9.4-0 - 6.9.4-10, 6.9.2-0 - 6.9.2-10, 6.9.1-0 - 6.9.1-10, 6.9.0-0 - 6.9.0-10, 6.9.3-0 - 6.9.3-10, 7.0.10-0 - 7.0.10-62, 7.0.6 - 7.0.6-10, 7.0.7 - 7.0.7.7, 7.0.9 - 7.0.9-27, 7.0.8-0 - 7.0.8-69, 7.0.5-0 - 7.0.5-10, 7.0.4-0 - 7.0.4-10, 7.0.3-0 - 7.0.3-10, 7.0.2-0 - 7.0.2-10, 7.0.1-0 - 7.0.1-10, 7.0.0-0


CPE

External links
http://bugzilla.redhat.com/show_bug.cgi?id=1946722
http://github.com/ImageMagick/ImageMagick/issues/3296
http://github.com/ImageMagick/ImageMagick/commit/94174beff065cb5683d09d79e992c3ebbdead311
http://github.com/ImageMagick/ImageMagick6/commit/f1e68d22d1b35459421710587a0dcbab6900b51f


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability